import request from '@/utils/request'

// 查询钻头基础信息列表
export function listZtxxJcxx(query) {
  return request({
    url: '/system/ztxxJcxx/list',
    method: 'get',
    params: query
  })
}

// 查询钻头基础信息详细
export function getZtxxJcxx(id) {
  return request({
    url: '/system/ztxxJcxx/' + id,
    method: 'get'
  })
}

// 新增钻头基础信息
export function addZtxxJcxx(data) {
  return request({
    url: '/system/ztxxJcxx',
    method: 'post',
    data: data
  })
}

// 修改钻头基础信息
export function updateZtxxJcxx(data) {
  return request({
    url: '/system/ztxxJcxx',
    method: 'put',
    data: data
  })
}

// 删除钻头基础信息
export function delZtxxJcxx(id) {
  return request({
    url: '/system/ztxxJcxx/' + id,
    method: 'delete'
  })
}
